<template>
  <v-app>
    <router-view :key="$route.fullPath" />
    <v-snackbar v-model="store.snackbar.show" :color="store.snackbar.color" :timeout="store.snackbar.timeout">
      {{ store.snackbar.text }}
      <template v-slot:actions>
        <v-btn variant="text" @click="store.snackbar.show = false"> {{ l.close }} </v-btn>
      </template>
    </v-snackbar>
  </v-app>
</template>

<script>
import { useTheme } from 'vuetify'

export default {
  async created() {
    const theme = useTheme()
    this.loadUser();
    this.lang = this.store.prefs.ui.lang;
    theme.change(this.store.prefs.ui.theme);
  },
  methods: {
  }
}
</script>
